com.ihr.xbrl.transform

## Interface XBRLTransformationResult

- All Known Implementing Classes:
    HTMLReportHandler, SQLDriver.SQLTransformationResult, XBRLExcelTransformationResult

      public interface XBRLTransformationResult

  This interface contains methods regarding how the result of a loading or transformation process is obtained from the driver. The two possibilities are: 1) the driver is able to generate XML. Then a call to sendToResult will send the generated XML to the next component in the XML pipe. 2) the driver generates a document. Then a call to getResult() returns the object that has been generated.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getResult()` Obtains the result of the loading process as an object.
    `void` | `sendToResult(javax.xml.transform.Result outputTarget)` Serializes the generated document to the next component in the XML pipe (Result object) This method will be called once per document.

- - ### Method Detail

    - #### sendToResult

          void sendToResult(javax.xml.transform.Result outputTarget)
                            throws javax.xml.transform.TransformerException

      Serializes the generated document to the next component in the XML pipe (Result object) This method will be called once per document.
      Parameters:
        `outputTarget` - Result
      Throws:
        `javax.xml.transform.TransformerException` - if something goes wrong or the driver does not support this output method

    - #### getResult

          java.lang.Object getResult()
                                     throws javax.xml.transform.TransformerException

      Obtains the result of the loading process as an object. The object is normally a document of the target format.
      Returns:
        Object any type of object. Each driver must document what they return.
      Throws:
        `javax.xml.transform.TransformerException` - if something goes wrong or the driver does not support this output method